import request from '@/utils/request'
// 产品信息库列表
export function productPage(data) {
    return request({
        url: '/product/page',
        method: 'get',
        params: data
    })
}
// 删除产品扩展信息
export function deleteproductExpand(data){
    return request ({
        url:'/productExpand',
        method:'delete',
        data
    })
}
// 产品扩展信息
export function productExpland(id) {
    return request({
        url: `/productExpand/${id}`,
        method: 'get'
    })
}
// 查询数字字典
export function dictionaryList(data) {
    return request({
        url: '/dictionary/list',
        method: 'get',
        params: data
    })
}
// 产品编辑
export function productExpand(data) {
    return request({
        url: "/productExpand",
        method: 'put',
        data
    })
}
// 产品类型与结构类型关系列表
export function productTypeRelationPage(data) {
    return request({
        url: '/productTypeRelation/page',
        method: 'get',
        params: data
    })
}
// 产品类型与结构类型关系新增
export function productTypeRelationadd(data) {
    return request({
        url: '/productTypeRelation',
        method: 'post',
        data
    })
}
// 产品类型与结构类型关系编辑
export function productTypeRelationEdit(data) {
    return request({
        url: '/productTypeRelation',
        method: "put",
        data
    })
}
// 产品类型与结构类型关系删除
export function productTypeRelationDelete(data) {
    return request({
        url: '/productTypeRelation',
        method: 'delete',
        data
    })
}
// 产品类型与结构类型关系详情
export function productTypeRelationDetail(data) {
    return request({
        url: '/productTypeRelation',
        method: 'get',
        params: data
    })
}
// 产品类型与结构类型关系获取产品类型列表
export function productTypeRelationProductTypeList(data) {
    return request({
        url: '/productTypeRelation/productType/list',
        method: 'get',
        params: data
    })
}
// 产品类型与结构类型关系编辑获取结构类型列表
export function productTypeRelationStructureTypeList(data) {
    return request({
        url: "/productTypeRelation/structureType/list",
        method: 'get',
        params: data
    })
}